[SECURITY] [DSA 3592-1] nginx security update

Fabricante: Debian
Fecha: 01/06/2016
Identificador: DSA 3592-1
[SECURITY] [DSA 3592-1] nginx security update
-----BEGIN PGP SIGNED MESSAGE----- Hash: SHA1 - ------------------------------------------------------------------------- Debian Security Advisory DSA-3592-1 security@debian.org https://www.debian.org/security/ Moritz Muehlenhoff June 01, 2016 https://www.debian.org/security/faq - ------------------------------------------------------------------------- Package : nginx CVE ID : CVE-2016-4450 It was discovered that a NULL pointer dereference in the Nginx code responsible for saving client request bodies to a temporary file might result in denial of service: Malformed requests could crash worker processes. For the stable distribution (jessie), this problem has been fixed in version 1.6.2-5+deb8u2. For the unstable distribution (sid), this problem has been fixed in version 1.10.1-1. We recommend that you upgrade your nginx packages. Further information about Debian Security Advisories, how to apply these updates to your system and frequently asked questions can be found at: https://www.debian.org/security/ Mailing list: debian-security-announce@lists.debian.org -----BEGIN PGP SIGNATURE----- Version: GnuPG v1 iQIcBAEBAgAGBQJXTym0AAoJEBDCk7bDfE42qPwQAJo/uBksVmGDrxKlc2Q7Lla1 ZtTPf2xgM7QSEUbLkP5ZNIXpv2lWAkj81EolKHaAovqJawXox8hMJYDs6wTbSwBf +IvEZ0tDK9Hwu5lHH58Is0lFPgQdwgD7YmilIv7IqRISc5tLLU+sj7cruz9cW2TJ toIUA5KJSGVvWYjgeR9W0bLAnJV8caWsP+toCYyOJUawR8GLbMetsB1RjmoWjZEn GpGjNXCasMtU2a96b/m4xIlQL9DdZVhv6H2oo2D3Axfsimj0efwSKBkDaZg7+kiA bzyEnkhX8OUbUaFuKRDEASbzsE2MZiJ7hZFnXAUQQ4gMN/YnA3JOKT1YUz8CHXhr +jvvcsJQdPKh3LN9/6RmNes81T7e3ptTbYAGXx4BkMrRJ4qpQjJ41X6AVHqVM4ih Z0EziiXvhJzeA9m8g8/EFHDj2ebiypQ633oBGz2bXJaY9kiS8rsp7fe1aQvVvVQr cveiWIoEsXNeQZZBZUDQswz5ninKs6E/GiWHnAHTGQuYIr8Y7O5xljbeSTqT9IrD r8SXCzrWpB7tgza0RLMNHe1DqTNKsf+KgAUGHyvv0jitFz7dVR72LczYudpoHhvP Dshq94l+Exyt0IPXQ4ez4exor6OTQqE87FMIwIzCl8mok4DTls+BuZmXOajoHx6Z tmCaBPJ9YgzyV+H8jYwd =fTrn -----END PGP SIGNATURE-----